Bug 9020 - (int-157195) Media player crashes when trying to search in ''All songs''
(int-157195)
: Media player crashes when trying to search in ''All songs''
Status: RESOLVED FIXED
Product: Media player
General
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified major (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: media-player-bugs
:
: crash
:
:
  Show dependency tree
 
Reported: 2010-02-12 15:29 UTC by Arif Toker
Modified: 2010-03-15 20:55 UTC (History)
1 user (show)

See Also:


Attachments
Coredump of the crash (1.88 MB, application/octet-stream)
2010-02-12 16:14 UTC, Arif Toker
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Arif Toker (reporter) 2010-02-12 15:29:01 UTC
SOFTWARE VERSION: 2.2009.51-1
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Open the Media Player
2. Go to All songs view
3. Press a letter on the keyboard to search.

EXPECTED OUTCOME:
Songs with the typed letter are shown.

ACTUAL OUTCOME:
The media player closes with the error: Internal Error. Application ''Media
Player'' closed.

REPRODUCIBILITY: In my case it is always.
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED: None

OTHER COMMENTS:
I suspect this error is becasue I have songs with Turkish characters (ı ş ğ ü ö
ç) on my phone. This happens even when I only have one song on it. The error
does not occour when I try to search in All artists. Only in All Songs.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; tr; rv:1.9.1.7)
Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)
Comment 1 Andre Klapper maemo.org 2010-02-12 15:37:16 UTC
Hi Arif & Thanks for reporting this.

Can you please install Crash Reporter from the SDK Tools repository in order to
send coredumps of the crash directly to Nokia?
See http://wiki.maemo.org/Extras-testing#Tools_for_testers for a how-to.

If you can add a comment while sending the crash, please mention the bug number
here in bugs.maemo.org (like "see maemo.org Bugzilla bug 9020").

A filename will be displayed after uploading the coredump. Please mention that
filename in the bugs.maemo.org bug report.

Also, can you provide such a song file? If it's copyrighted material, feel free
to send it via direct email to me (and mention this bug number in the email).
Thanks!
Comment 2 Arif Toker (reporter) 2010-02-12 16:14:06 UTC
Created an attachment (id=2278) [details]
Coredump of the crash

I have attached the coredump.
You said I should send this directly to Nokia. Where exactly am I supposed to
send it? Thank you :)
Comment 3 Arif Toker (reporter) 2010-02-16 16:53:03 UTC
I don't know if the Media Player was changed in any way in FW 02.08, but the
problem is still persistant. I will try to get a new crash report today.
Comment 4 Andre Klapper maemo.org 2010-02-16 17:22:01 UTC
Hi,

(In reply to comment #2)
> You said I should send this directly to Nokia. Where exactly am I supposed to
> send it? Thank you :)

Via Crash reporter, but attaching here is fine too. :)
Comment 5 Andre Klapper maemo.org 2010-02-18 17:38:35 UTC
Can you please provide the offending file? Feel free to send it via private
email to me if it is copyrighted material as this is a public bugtracker.
Comment 6 Arif Toker (reporter) 2010-02-18 23:54:57 UTC
I'm trying to reproduce this with just one song, but this only seems to happen
when I have ~500 songs on the device. I'm trying to find some files that cause
the problem by itself, but this will take a while.
Comment 7 Arif Toker (reporter) 2010-02-19 15:34:27 UTC
Update:
I'm currently uploading a few songs where I have this problem to Rapidshare and
will mail you the file as soon as it finishes uploading. I hope this will not
be a problem for you. I have also included the coredump of the crash. For %100
crash result you could press the I with this setup. It seems that the more
files I put on the device the crash possibility increases.
Comment 8 Andre Klapper maemo.org 2010-03-01 18:27:13 UTC
Hi & thanks for the archive of songs.
This was tested internally with the most recent internal version and no crashes
were seen, so this is already fixed and should work fine in the next public
update. However your testcase(s) were helpful as some other, smaller bugs were
found by this (problems with displaying correctly the tags) and will now be
worked on.
Comment 9 Andre Klapper maemo.org 2010-03-15 20:55:09 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).